: Class Base64Encoder

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.tools.codec
Class Base64Encoder

    java.lang.Object
      |
      +--org.w3c.tools.codec.Base64Encoder

public class Base64Encoder
extends java.lang.Object

BASE64 encoder implementation. This object takes as parameter an input stream and an output stream. It encodes the input stream, using the BASE64 encoding rules, as defined in MIME specification and emit the resulting data to the output stream.

See Also:
  `Base64Decoder`

Constructor Summary
`Base64Encoder(java.io.InputStream in, java.io.OutputStream out)` Create a new Base64 encoder, encoding input to output.
`Base64Encoder(java.lang.String input)` Create a new Base64 encoder, to encode the given string.

Method Summary
`static void` | `main(java.lang.String[] args)` Testing the encoder.
`void` | `process()` Process the data: encode the input stream to the output stream.
`java.lang.String` | `processString()` Encode the content of this encoder, as a string.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Base64Encoder

    public Base64Encoder(java.lang.String input)

  Create a new Base64 encoder, to encode the given string.
  Parameters:
    `input` - The String to be encoded.

### Base64Encoder

    public Base64Encoder(java.io.InputStream in,
                         java.io.OutputStream out)

  Create a new Base64 encoder, encoding input to output.
  Parameters:
    `in` - The input stream to be encoded.
    `out` - The output stream, to write encoded data to.

Method Detail

### process

    public void process()
                 throws java.io.IOException

  Process the data: encode the input stream to the output stream. This method runs through the input stream, encoding it to the output stream.
  Throws:
    java.io.IOException - If we weren't able to access the input stream or the output stream.

### processString

    public java.lang.String processString()

  Encode the content of this encoder, as a string. This methods encode the String content, that was provided at creation time, following the BASE64 rules, as specified in the rfc1521.
  Returns:
    A String, reprenting the encoded content of the input String.

### main

    public static void main(java.lang.String[] args)

  Testing the encoder. Run with one argument, prints the encoded version of it.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD